using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Enums
{
    /// <summary>
    /// 操作项目
    /// </summary>
    public enum OperationEnum : int
    {
        /// <summary>
        /// 未操作
        /// </summary>
        [Description("未操作")]
        NoOperation = 0,
        /// <summary>
        /// 列表
        /// </summary>
        [Description("列表")]
        List = 1,
        /// <summary>
        /// 详情
        /// </summary>
        [Description("详情")]
        Details = 2,
        /// <summary>
        /// 添加
        /// </summary>
        [Description("添加")]
        Add = 3,
        /// <summary>
        /// 编辑
        /// </summary>
        [Description("编辑")]
        Edit = 4,
        /// <summary>
        /// 删除
        /// </summary>
        [Description("删除")]
        Del = 5,
        /// <summary>
        /// 审核
        /// </summary>
        [Description("审核")]
        Audit = 6,
        /// <summary>
        /// 上传
        /// </summary>
        [Description("上传")]
        Upload = 7,
        /// <summary>
        /// 下载
        /// </summary>
        [Description("下载")]
        Download = 8,
        /// <summary>
        /// 批量指派
        /// </summary>
        [Description("批量指派")]
        BatchAssignment = 9,
    }
}
